-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Charts - Pareto Chart
You can use DevExtreme Chart to visualize data as a Pareto chart and display individual values along with their cumulative totals. In this demo, individual values are numbers of complaints and cumulative totals are given in percentages.
Backend API
$(() => {
const data = complaintsData.sort((a, b) => b.count - a.count);
const totalCount = data.reduce((prevValue, item) => prevValue + item.count, 0);
let cumulativeCount = 0;
const dataSource = data.map((item) => {
cumulativeCount += item.count;
return {
complaint: item.complaint,
count: item.count,
cumulativePercentage: Math.round((cumulativeCount * 100) / totalCount),
};
});
$('#chart').dxChart({
palette: 'Harmony Light',
dataSource,
title: 'Pizza Shop Complaints',
argumentAxis: {
label: {
overlappingBehavior: 'stagger',
},
},
tooltip: {
enabled: true,
shared: true,
customizeTooltip(info) {
const content = ["<div><div class='tooltip-header'></div>",
"<div class='tooltip-body'><div class='series-name'>",
"<span class='top-series-name'></span>",
": </div><div class='value-text'>",
"<span class='top-series-value'></span>",
"</div><div class='series-name'>",
"<span class='bottom-series-name'></span>",
": </div><div class='value-text'>",
"<span class='bottom-series-value'></span>",
'% </div></div></div>'].join('');
const htmlContent = $(content);
htmlContent.find('.tooltip-header').text(info.argumentText);
htmlContent.find('.top-series-name').text(info.points[0].seriesName);
htmlContent.find('.top-series-value').text(info.points[0].valueText);
htmlContent.find('.bottom-series-name').text(info.points[1].seriesName);
htmlContent.find('.bottom-series-value').text(info.points[1].valueText);
return {
html: $('<div>').append(htmlContent).html(),
};
},
},
valueAxis: [{
name: 'frequency',
position: 'left',
tickInterval: 300,
}, {
name: 'percentage',
position: 'right',
showZero: true,
label: {
customizeText(info) {
return `${info.valueText}%`;
},
},
constantLines: [{
value: 80,
color: '#fc3535',
dashStyle: 'dash',
width: 2,
label: { visible: false },
}],
tickInterval: 20,
valueMarginsEnabled: false,
}],
commonSeriesSettings: {
argumentField: 'complaint',
},
series: [{
type: 'bar',
valueField: 'count',
axis: 'frequency',
name: 'Complaint frequency',
color: '#fac29a',
}, {
type: 'spline',
valueField: 'cumulativePercentage',
axis: 'percentage',
name: 'Cumulative percentage',
color: '#6b71c3',
}],
legend: {
verticalAlignment: 'top',
horizontalAlignment: 'center',
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="js/dx.all.js?v=26.1.4"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart-demo">
<div id="chart"></div>
</div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.tooltip-header {
margin-bottom: 5px;
font-size: 16px;
font-weight: 500;
padding-bottom: 5px;
border-bottom: 1px solid #c5c5c5;
}
.tooltip-body {
width: 170px;
}
.tooltip-body .series-name {
font-weight: normal;
opacity: 0.6;
display: inline-block;
line-height: 1.5;
padding-right: 10px;
width: 126px;
}
.tooltip-body .value-text {
display: inline-block;
line-height: 1.5;
width: 30px;
}
const complaintsData = [
{ complaint: 'Cold pizza', count: 780 },
{ complaint: 'Not enough cheese', count: 120 },
{ complaint: 'Underbaked or Overbaked', count: 52 },
{ complaint: 'Delayed delivery', count: 1123 },
{ complaint: 'Damaged pizza', count: 321 },
{ complaint: 'Incorrect billing', count: 89 },
{ complaint: 'Wrong size delivered', count: 222 },
];
To create a Pareto chart you must:
- Configure a Bar series and assign your primary data to this series (specify series.valueField property).
- Add a Line or Spline series and assign cumulative total values to this series.
- Specify valueAxis.constantLines to illustrate Pareto principle correlations (80/20).

Backend API
import React from 'react';
import Chart, {
ArgumentAxis,
CommonSeriesSettings,
Legend,
Series,
Tooltip,
ValueAxis,
ConstantLine,
Label,
} from 'devextreme-react/chart';
import type { ChartTypes } from 'devextreme-react/chart';
import { complaintsData } from './data.ts';
const data = complaintsData.sort((a, b) => b.count - a.count);
const totalCount = data.reduce((prevValue, item) => prevValue + item.count, 0);
let cumulativeCount = 0;
const dataArray = data.map((item) => {
cumulativeCount += item.count;
return {
complaint: item.complaint,
count: item.count,
cumulativePercentage: Math.round((cumulativeCount * 100) / totalCount),
};
});
function customizeTooltip(pointInfo: ChartTypes.CommonPointInfo): Record<string, string> {
return {
html: `<div><div class="tooltip-header">${
pointInfo.argumentText
}</div><div class="tooltip-body"><div class="series-name"><span class='top-series-name'>${
pointInfo.points?.[0]?.seriesName
}</span>: </div><div class="value-text"><span class='top-series-value'>${
pointInfo.points?.[0]?.valueText
}</span></div><div class="series-name"><span class='bottom-series-name'>${
pointInfo.points?.[1]?.seriesName
}</span>: </div><div class="value-text"><span class='bottom-series-value'>${
pointInfo.points?.[1]?.valueText
}</span>% </div></div></div>`,
};
}
function customizePercentageText({ valueText }: { valueText: string }): string {
return `${valueText}%`;
}
function App() {
return (
<Chart
title="Pizza Shop Complaints"
dataSource={dataArray}
palette="Harmony Light"
id="chart"
>
<CommonSeriesSettings argumentField="complaint" />
<Series
name="Complaint frequency"
valueField="count"
axis="frequency"
type="bar"
color="#fac29a"
/>
<Series
name="Cumulative percentage"
valueField="cumulativePercentage"
axis="percentage"
type="spline"
color="#6b71c3"
/>
<ArgumentAxis>
<Label overlappingBehavior="stagger" />
</ArgumentAxis>
<ValueAxis
name="frequency"
position="left"
tickInterval={300}
/>
<ValueAxis
name="percentage"
position="right"
tickInterval={20}
showZero={true}
valueMarginsEnabled={false}
>
<Label customizeText={customizePercentageText} />
<ConstantLine
value={80}
width={2}
color="#fc3535"
dashStyle="dash"
>
<Label visible={false} />
</ConstantLine>
</ValueAxis>
<Tooltip
enabled={true}
shared={true}
customizeTooltip={customizeTooltip}
/>
<Legend
verticalAlignment="top"
horizontalAlignment="center"
/>
</Chart>
);
}
export default App;
import React from 'react';
import Chart, {
ArgumentAxis,
CommonSeriesSettings,
Legend,
Series,
Tooltip,
ValueAxis,
ConstantLine,
Label,
} from 'devextreme-react/chart';
import { complaintsData } from './data.js';
const data = complaintsData.sort((a, b) => b.count - a.count);
const totalCount = data.reduce((prevValue, item) => prevValue + item.count, 0);
let cumulativeCount = 0;
const dataArray = data.map((item) => {
cumulativeCount += item.count;
return {
complaint: item.complaint,
count: item.count,
cumulativePercentage: Math.round((cumulativeCount * 100) / totalCount),
};
});
function customizeTooltip(pointInfo) {
return {
html: `<div><div class="tooltip-header">${pointInfo.argumentText}</div><div class="tooltip-body"><div class="series-name"><span class='top-series-name'>${pointInfo.points?.[0]?.seriesName}</span>: </div><div class="value-text"><span class='top-series-value'>${pointInfo.points?.[0]?.valueText}</span></div><div class="series-name"><span class='bottom-series-name'>${pointInfo.points?.[1]?.seriesName}</span>: </div><div class="value-text"><span class='bottom-series-value'>${pointInfo.points?.[1]?.valueText}</span>% </div></div></div>`,
};
}
function customizePercentageText({ valueText }) {
return `${valueText}%`;
}
function App() {
return (
<Chart
title="Pizza Shop Complaints"
dataSource={dataArray}
palette="Harmony Light"
id="chart"
>
<CommonSeriesSettings argumentField="complaint" />
<Series
name="Complaint frequency"
valueField="count"
axis="frequency"
type="bar"
color="#fac29a"
/>
<Series
name="Cumulative percentage"
valueField="cumulativePercentage"
axis="percentage"
type="spline"
color="#6b71c3"
/>
<ArgumentAxis>
<Label overlappingBehavior="stagger" />
</ArgumentAxis>
<ValueAxis
name="frequency"
position="left"
tickInterval={300}
/>
<ValueAxis
name="percentage"
position="right"
tickInterval={20}
showZero={true}
valueMarginsEnabled={false}
>
<Label customizeText={customizePercentageText} />
<ConstantLine
value={80}
width={2}
color="#fc3535"
dashStyle="dash"
>
<Label visible={false} />
</ConstantLine>
</ValueAxis>
<Tooltip
enabled={true}
shared={true}
customizeTooltip={customizeTooltip}
/>
<Legend
verticalAlignment="top"
horizontalAlignment="center"
/>
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const complaintsData = [
{ complaint: 'Cold pizza', count: 780 },
{ complaint: 'Not enough cheese', count: 120 },
{ complaint: 'Underbaked or Overbaked', count: 52 },
{ complaint: 'Delayed delivery', count: 1123 },
{ complaint: 'Damaged pizza', count: 321 },
{ complaint: 'Incorrect billing', count: 89 },
{ complaint: 'Wrong size delivered', count: 222 },
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const complaintsData = [
{ complaint: 'Cold pizza', count: 780 },
{ complaint: 'Not enough cheese', count: 120 },
{ complaint: 'Underbaked or Overbaked', count: 52 },
{ complaint: 'Delayed delivery', count: 1123 },
{ complaint: 'Damaged pizza', count: 321 },
{ complaint: 'Incorrect billing', count: 89 },
{ complaint: 'Wrong size delivered', count: 222 },
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.tooltip-header {
margin-bottom: 5px;
font-size: 16px;
font-weight: 500;
padding-bottom: 5px;
border-bottom: 1px solid #c5c5c5;
}
.tooltip-body {
width: 170px;
}
.tooltip-body .series-name {
font-weight: normal;
opacity: 0.6;
display: inline-block;
line-height: 1.5;
padding-right: 10px;
width: 126px;
}
.tooltip-body .value-text {
display: inline-block;
line-height: 1.5;
width: 30px;
}
To create a Pareto chart you must:
- Configure a Bar series and assign your primary data to this series (specify series.valueField property).
- Add a Line or Spline series and assign cumulative total values to this series.
- Specify valueAxis.constantLines to illustrate Pareto principle correlations (80/20).

DevExtreme v26.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Angular Charts - Pareto Chart

You can use DevExtreme Chart to visualize data as a Pareto chart and display individual values along with their cumulative totals. In this demo, individual values are numbers of complaints and cumulative totals are given in percentages.

Backend API
<dx-chart id="chart" [dataSource]="dataSource" title="Pizza Shop Complaints" palette="Harmony Light" [valueAxis]="[ { name: 'frequency', position: 'left', tickInterval: 300 }, { name: 'percentage', position: 'right', showZero: true, label: { customizeText: customizeLabelText }, constantLines: [ { value: 80, color: '#fc3535', dashStyle: 'dash', width: 2, label: { visible: false } } ], tickInterval: 20, valueMarginsEnabled: false } ]" > <dxo-chart-argument-axis> <dxo-chart-label overlappingBehavior="stagger"></dxo-chart-label> </dxo-chart-argument-axis> <dxo-chart-tooltip [enabled]="true" [shared]="true" [customizeTooltip]="customizeTooltip" > </dxo-chart-tooltip> <dxo-chart-common-series-settings argumentField="complaint"> </dxo-chart-common-series-settings> <dxi-chart-series type="bar" valueField="count" axis="frequency" name="Complaint frequency" color="#fac29a" > </dxi-chart-series> <dxi-chart-series type="spline" valueField="cumulativePercent" axis="percentage" name="Cumulative percentage" color="#6b71c3" > </dxi-chart-series> <dxo-chart-legend verticalAlignment="top" horizontalAlignment="center"> </dxo-chart-legend> </dx-chart>
import { bootstrapApplication } from '@angular/platform-browser'; import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core'; import { DxChartModule } from 'devextreme-angular'; import { Service, ComplaintsWithPercent } from './app.service'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } let modulePrefix = ''; // @ts-ignore if (window && window.config?.packageConfigPaths) { modulePrefix = '/app'; } @Component({ selector: 'demo-app', providers: [Service], templateUrl: `app/app.component.html`, styleUrls: [`app/app.component.css`], imports: [ DxChartModule, ], }) export class AppComponent { dataSource: ComplaintsWithPercent[]; constructor(service: Service) { this.dataSource = service.getComplaintsData(); } customizeTooltip = ({ points, argumentText }) => ({ html: `<div><div class='tooltip-header'>${ argumentText}</div>` + '<div class=\'tooltip-body\'><div class=\'series-name\'>' + `<span class='top-series-name'>${points[0].seriesName}</span>` + ': </div><div class=\'value-text\'>' + `<span class='top-series-value'>${points[0].valueText}</span>` + '</div><div class=\'series-name\'>' + `<span class='bottom-series-name'>${points[1].seriesName}</span>` + ': </div><div class=\'value-text\'>' + `<span class='bottom-series-value'>${points[1].valueText}</span>` + '% </div></div></div>', }); customizeLabelText = ({ valueText }) => `${valueText}%`; } bootstrapApplication(AppComponent, { providers: [ provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }), ], });
::ng-deep #chart { height: 440px; } ::ng-deep .tooltip-header { margin-bottom: 5px; font-size: 16px; font-weight: 500; padding-bottom: 5px; border-bottom: 1px solid #c5c5c5; } ::ng-deep .tooltip-body { width: 170px; } ::ng-deep .tooltip-body .series-name { font-weight: normal; opacity: 0.6; display: inline-block; line-height: 1.5; padding-right: 10px; width: 126px; } ::ng-deep .tooltip-body .value-text { display: inline-block; line-height: 1.5; width: 30px; }
import { Injectable } from '@angular/core'; class Complaints { complaint: string; count: number; } export class ComplaintsWithPercent { complaint: string; count: number; cumulativePercent: number; } const complaintsData: Complaints[] = [ { complaint: 'Cold pizza', count: 780 }, { complaint: 'Not enough cheese', count: 120 }, { complaint: 'Underbaked or Overbaked', count: 52 }, { complaint: 'Delayed delivery', count: 1123 }, { complaint: 'Damaged pizza', count: 321 }, { complaint: 'Incorrect billing', count: 89 }, { complaint: 'Wrong size delivered', count: 222 }, ]; @Injectable() export class Service { getComplaintsData(): ComplaintsWithPercent[] { const data = complaintsData.sort((a, b) => b.count - a.count); const totalCount = data.reduce((prevValue, item) => prevValue + item.count, 0); let cumulativeCount = 0; return data.map((item) => { cumulativeCount += item.count; return { complaint: item.complaint, count: item.count, cumulativePercent: Math.round(cumulativeCount * 100 / totalCount), }; }); } }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ const componentNames = [ 'accordion', 'action-sheet', 'autocomplete', 'bar-gauge', 'box', 'bullet', 'button-group', 'button', 'calendar', 'card-view', 'chart', 'chat', 'check-box', 'circular-gauge', 'color-box', 'context-menu', 'data-grid', 'date-box', 'date-range-box', 'defer-rendering', 'diagram', 'draggable', 'drawer', 'drop-down-box', 'drop-down-button', 'file-manager', 'file-uploader', 'filter-builder', 'form', 'funnel', 'gallery', 'gantt', 'html-editor', 'linear-gauge', 'list', 'load-indicator', 'load-panel', 'lookup', 'map', 'menu', 'multi-view', 'nested', 'number-box', 'pagination', 'pie-chart', 'pivot-grid-field-chooser', 'pivot-grid', 'polar-chart', 'popover', 'popup', 'progress-bar', 'radio-group', 'range-selector', 'range-slider', 'recurrence-editor', 'resizable', 'responsive-box', 'sankey', 'scheduler', 'scroll-view', 'select-box', 'slider', 'sortable', 'sparkline', 'speech-to-text', 'speed-dial-action', 'splitter', 'stepper', 'switch', 'tab-panel', 'tabs', 'tag-box', 'text-area', 'text-box', 'tile-view', 'toast', 'toolbar', 'tooltip', 'tree-list', 'tree-map', 'tree-view', 'validation-group', 'validation-summary', 'validator', 'vector-map', ]; window.exports = window.exports || {}; window.config = { transpiler: false, meta: { '*.ts': { loader: 'demo-ts-loader', }, 'typescript': { 'exports': 'ts', }, 'anti-forgery': { loader: 'demo-ts-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, '@angular/platform-browser-dynamic': { 'esModule': true, }, '@angular/platform-browser': { 'esModule': true, }, '@angular/core': { 'esModule': true, }, '@angular/common': { 'esModule': true, }, '@angular/common/http': { 'esModule': true, }, '@angular/animations': { 'esModule': true, }, '@angular/forms': { 'esModule': true, }, 'openai': { 'esModule': true, }, 'zod': { 'esModule': true, }, 'zod-to-json-schema': { 'esModule': true, }, }, paths: { 'npm:': 'https://cdn.jsdelivr.net/npm/', 'bundles:': '../../../../bundles/', 'externals:': '../../../../bundles/externals/', 'anti-forgery:': '../../../../shared/anti-forgery/', 'loaders:': '../../../../shared/loaders/', }, map: { 'anti-forgery': 'anti-forgery:fetch-override.js', 'demo-ts-loader': 'loaders:demo-ts-loader.js', 'demo-ts-shared': 'loaders:demo-ts-shared.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', /* @angular */ '@angular/compiler': 'bundles:@angular/compiler.umd.js', '@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js', '@angular/core': 'bundles:@angular/core.umd.js', '@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js', '@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js', '@angular/common': 'bundles:@angular/common.umd.js', '@angular/common/http': 'bundles:@angular/common-http.umd.js', '@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js', '@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js', '@angular/forms': 'bundles:@angular/forms.umd.js', /* devextreme */ 'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs', 'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.29', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.69', /* devextreme-angular umd maps */ 'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js', 'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js', 'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js', 'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js', 'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js', 'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js', 'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js', 'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js', 'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js', 'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js', 'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js', 'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js', 'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js', 'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js', 'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js', 'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js', 'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js', 'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js', ...componentNames.reduce((acc, name) => { acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`; acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`; return acc; }, {}), 'zod': 'externals:zod.bundle.js', 'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js', 'tslib': 'npm:tslib/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign', 'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', '@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.8/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js', 'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/common/core/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devexpress-diagram@2.2.29/package.json', 'npm:devexpress-gantt@4.1.69/package.json', ], }; window.process = { env: { NODE_ENV: 'production', }, }; System.config(window.config); // eslint-disable-next-line no-console // System.import('@angular/compiler').catch(console.error.bind(console)); // eslint-disable-next-line const useTgzInCSB = ['openai']; let packagesInfo = { "zod": { "version": "3.24.4" }, "zod-to-json-schema": { "version": "3.24.6" }, "@angular/core": { "version": "22.1.0" }, "core-js": { "version": "2.6.12" }, "typescript": { "version": "6.0.3" }, "zone.js": { "version": "0.16.2" } };
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" /> <script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script> <script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script> <script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>

To create a Pareto chart you must:

  1. Configure a Bar series and assign your primary data to this series (specify series.valueField property).
  2. Add a Line or Spline series and assign cumulative total values to this series.
  3. Specify valueAxis.constantLines to illustrate Pareto principle correlations (80/20).

-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Charts - Pareto Chart
You can use DevExtreme Chart to visualize data as a Pareto chart and display individual values along with their cumulative totals. In this demo, individual values are numbers of complaints and cumulative totals are given in percentages.
Backend API
<template>
<DxChart
id="chart"
:data-source="dataSource"
palette="Harmony Light"
title="Pizza Shop Complaints"
>
<DxCommonSeriesSettings argument-field="complaint"/>
<DxSeries
name="Complaint frequency"
value-field="count"
axis="frequency"
type="bar"
color="#fac29a"
/>
<DxSeries
name="Cumulative percentage"
value-field="cumulativePercentage"
axis="percentage"
type="spline"
color="#6b71c3"
/>
<DxArgumentAxis>
<DxLabel overlapping-behavior="stagger"/>
</DxArgumentAxis>
<DxValueAxis
:tick-interval="300"
name="frequency"
position="left"
/>
<DxValueAxis
:tick-interval="20"
:show-zero="true"
:value-margins-enabled="false"
name="percentage"
position="right"
>
<DxLabel :customize-text="customizePercentageText"/>
<DxConstantLine
:value="80"
:width="2"
color="#fc3535"
dash-style="dash"
>
<DxLabel :visible="false"/>
</DxConstantLine>
</DxValueAxis>
<DxTooltip
:enabled="true"
:shared="true"
:customize-tooltip="customizeTooltip"
/>
<DxLegend
vertical-alignment="top"
horizontal-alignment="center"
/>
</DxChart>
</template>
<script setup lang="ts">
import DxChart, {
DxArgumentAxis,
DxCommonSeriesSettings,
DxLabel,
DxLegend,
DxSeries,
DxTooltip,
DxValueAxis,
DxConstantLine,
} from 'devextreme-vue/chart';
import { complaintsData } from './data.ts';
function customizeTooltip({ argumentText, points }: Record<string, any>) {
return {
html: `<div><div class='tooltip-header'>${
argumentText
}</div><div class='tooltip-body'><div class='series-name'><span class='top-series-name'>${
points[0].seriesName
}</span>: </div><div class='value-text'><span class='top-series-value'>${
points[0].valueText
}</span></div><div class='series-name'><span class='bottom-series-name'>${
points[1].seriesName
}</span>: </div><div class='value-text'><span class='bottom-series-value'>${
points[1].valueText
}</span>% </div></div></div>`,
};
}
const customizePercentageText = ({ valueText }: { valueText: string }) => `${valueText}%`;
const data = complaintsData.sort((a, b) => b.count - a.count);
const totalCount = data.reduce((prevValue, { count }) => prevValue + count, 0);
let cumulativeCount = 0;
const dataSource = data.map(({ count, complaint }) => {
cumulativeCount += count;
return {
complaint,
count,
cumulativePercentage: Math.round((cumulativeCount * 100) / totalCount),
};
});
</script>
<style>
#chart {
height: 440px;
}
.tooltip-header {
margin-bottom: 5px;
font-size: 16px;
font-weight: 500;
padding-bottom: 5px;
border-bottom: 1px solid #c5c5c5;
}
.tooltip-body {
width: 170px;
}
.tooltip-body .series-name {
font-weight: normal;
opacity: 0.6;
display: inline-block;
line-height: 1.5;
padding-right: 10px;
width: 126px;
}
.tooltip-body .value-text {
display: inline-block;
line-height: 1.5;
width: 30px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const complaintsData = [
{ complaint: 'Cold pizza', count: 780 },
{ complaint: 'Not enough cheese', count: 120 },
{ complaint: 'Underbaked or Overbaked', count: 52 },
{ complaint: 'Delayed delivery', count: 1123 },
{ complaint: 'Damaged pizza', count: 321 },
{ complaint: 'Incorrect billing', count: 89 },
{ complaint: 'Wrong size delivered', count: 222 },
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
To create a Pareto chart you must:
- Configure a Bar series and assign your primary data to this series (specify series.valueField property).
- Add a Line or Spline series and assign cumulative total values to this series.
- Specify valueAxis.constantLines to illustrate Pareto principle correlations (80/20).